Create SSH key
Creates a new SSH key for the authenticated user's account
Creates a new SSH key for the authenticated user's account
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/client/account/ssh-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "My SSH Key", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC..." }'{
"object": "ssh_key",
"attributes": {
"name": "My SSH Key",
"fingerprint": "SHA256:abc123...",
"public_key": "ssh-rsa AAAAB3NzaC1yc2E...",
"created_at": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty